//+------------------------------------------------------------------+
//|                                                      mt4fann.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#import "mt4fann.dll"
void HelloWorld ();

int     FANN_Create( int num_input, int num_output, int num_neurons_hidden );
int     FANN_CreateFromFile( string fname );
void    FANN_Save( int handle, string fname );
void    FANN_Destroy( int handle );

void    FANN_Train( int handle, double input[], double desired_output[] );
double  FANN_Test( int handle, double input[], double desired_output[] );
void    FANN_Run( int handle, double input[], double& out[] );

#import
/*
        fann_create -- Creates an artificial neural network.
        fann_train -- Train an artificial neural network.
        fann_save -- Save an artificial neural network to a file.
        fann_run -- Run an artificial neural network.
        fann_randomize_weights -- Randomize the weights of the neurons in the network.
        fann_init_weights -- Initialize the weight of each connection.
        fann_get_MSE -- Get the mean squared error.
        fann_get_num_input -- Get the number of input neurons.
        fann_get_num_output -- Get the number of output neurons.
        fann_get_total_neurons -- Get the total number of neurons.
        fann_get_total_connections -- Get the total number of connections.
        fann_get_learning_rate -- Get the learning rate.
        fann_get_activation_function_hidden -- Get the activation function of the hidden neurons.
        fann_get_activation_function_output -- Get the activation function of the output neurons.
        fann_get_activation_steepness_hidden -- Get the steepness of the activation function for the hidden neurons.
        fann_get_activation_steepness_output -- Get the steepness of the activation function for the output neurons.
        fann_set_learning_rate -- Set the learning rate.
        fann_set_activation_function_hidden -- Set the activation function for the hidden neurons.
        fann_set_activation_function_output -- Set the activation function for the output neurons.
        fann_set_activation_steepness_hidden -- Set the steepness of the activation function for the hidden neurons.
        fann_set_activation_steepness_output -- Set the steepness of the activation function for the output neurons.
*/